POMP2_Region_info Struct Reference

This struct stores all information on an OpenMP region, like the region type or corresponding source lines. The function ctcString2RegionInfo() can be used to fill this struct with data from a ctcString. More...

`#include <pomp2_region_info.h>`

## Data Fields

Generic source code information attributes
char * | mStartFileName
unsigned | mStartLine1
unsigned | mStartLine2
char * | mEndFileName
unsigned | mEndLine1
unsigned | mEndLine2
POMP2_Region_type | mRegionType
bool | mHasCopyIn
bool | mHasCopyPrivate
bool | mHasIf
bool | mHasFirstPrivate
bool | mHasLastPrivate
bool | mHasNoWait
bool | mHasNumThreads
bool | mHasOrdered
bool | mHasReduction
bool | mHasShared
bool | mHasCollapse
bool | mHasUntied
POMP2_Schedule_type | mScheduleType
POMP2_DefaultSharing_type | mDefaultSharingType
char * | mUserGroupName
unsigned | mNumSections
char * | mCriticalName

## Detailed Description

This struct stores all information on an OpenMP region, like the region type or corresponding source lines. The function ctcString2RegionInfo() can be used to fill this struct with data from a ctcString.

## Field Documentation

char* POMP2_Region_info::mCriticalName

name of a named critical region

POMP2_DefaultSharing_type POMP2_Region_info::mDefaultSharingType

defaultSharing type in the defaultSharing clause

char* POMP2_Region_info::mEndFileName

name of the corresponding source file from the closing pragma

unsigned POMP2_Region_info::mEndLine1

line number of the first line from the closing pragma

unsigned POMP2_Region_info::mEndLine2

line number of the last line from the closing pragma

bool POMP2_Region_info::mHasCollapse

true if a collapse clause is present

bool POMP2_Region_info::mHasCopyIn

true if a copyin clause is present

bool POMP2_Region_info::mHasCopyPrivate

true if a copyprivate clause is present

bool POMP2_Region_info::mHasFirstPrivate

true if a firstprivate clause is present

bool POMP2_Region_info::mHasIf

true if an if clause is present

bool POMP2_Region_info::mHasLastPrivate

true if a lastprivate clause is present

bool POMP2_Region_info::mHasNoWait

true if a nowait clause is present

bool POMP2_Region_info::mHasNumThreads

true if a numThreads clause is present

bool POMP2_Region_info::mHasOrdered

true if an ordered clause is present

bool POMP2_Region_info::mHasReduction

true if a reduction clause is present

bool POMP2_Region_info::mHasShared

true if a shared clause is present

bool POMP2_Region_info::mHasUntied

true if a untied clause was present, even if the task was changed to tied during instrumentation.

unsigned POMP2_Region_info::mNumSections

number of sections

POMP2_Region_type POMP2_Region_info::mRegionType

OpenMP specific fields Type of the OpenMP region

POMP2_Schedule_type POMP2_Region_info::mScheduleType

schedule type in the schedule clause

char* POMP2_Region_info::mStartFileName

Source location info. Needs to be first for the typecasting from generic OPARI2_Region_info to work. It is included by use of the macro OPARI2_REGION_INFO to ensure typecasting when necessary name of the corresponding source file from the opening pragma

unsigned POMP2_Region_info::mStartLine1

line number of the first line from the opening pragma

unsigned POMP2_Region_info::mStartLine2

line number of the last line from the opening pragma

char* POMP2_Region_info::mUserGroupName

user group name

The documentation for this struct was generated from the following file:

- pomp2_region_info.h